ALTER TABLE `smartend_settings`
    ADD `js`   LONGTEXT NULL AFTER `css`,
    ADD `body` LONGTEXT NULL AFTER `js`;
UPDATE `smartend_settings`
SET `body`=(SELECT `google_analytics_code` from `smartend_webmaster_settings` where id = 1)
where id = 1;
ALTER TABLE `smartend_webmaster_settings`
    DROP `google_analytics_code`;

ALTER TABLE `smartend_webmaster_sections`
    ADD `seo_status` TINYINT NOT NULL DEFAULT '1' AFTER `related_status`;
ALTER TABLE `smartend_webmaster_sections`
    ADD `no_status` TINYINT NOT NULL DEFAULT '1' AFTER `seo_status`;

ALTER TABLE `smartend_webmaster_settings`
    ADD `menus_status`        TINYINT NOT NULL DEFAULT '0' AFTER `settings_status`,
    ADD `file_manager_status` TINYINT NOT NULL DEFAULT '0' AFTER `menus_status`,
    ADD `tags_status`         TINYINT NOT NULL DEFAULT '0' AFTER `file_manager_status`;

ALTER TABLE `smartend_webmaster_settings`
    ADD `popups_status` TINYINT NOT NULL DEFAULT '0' AFTER `tags_status`;

ALTER TABLE `smartend_permissions`
    ADD `tags_status`         TINYINT NOT NULL DEFAULT '0' AFTER `settings_status`,
    ADD `menus_status`        TINYINT NOT NULL DEFAULT '0' AFTER `tags_status`,
    ADD `file_manager_status` TINYINT NOT NULL DEFAULT '0' AFTER `menus_status`;

ALTER TABLE `smartend_permissions`
    ADD `roles_status` TINYINT NOT NULL DEFAULT '0' AFTER `settings_status`;

ALTER TABLE `smartend_permissions`
    ADD `modules_status` TINYINT NOT NULL DEFAULT '0' AFTER `webmaster_status`;

ALTER TABLE `smartend_permissions`
    ADD `popups_status` TINYINT NOT NULL DEFAULT '0' AFTER `tags_status`;

ALTER TABLE `smartend_webmaster_sections`
    ADD `tags_status` TINYINT NOT NULL DEFAULT '0' AFTER `photo_status`;

UPDATE `smartend_webmaster_sections`
SET `tags_status`=1
WHERE `id` IN (2, 3, 4, 5, 6, 7, 8);

UPDATE `smartend_webmaster_settings`
SET `menus_status`=`settings_status`,
    `file_manager_status`=`settings_status`,
    `tags_status`=`settings_status`,
    `popups_status`=`settings_status`;

UPDATE `smartend_permissions`
SET `roles_status`=`settings_status`,
    `tags_status`=`settings_status`,
    `popups_status`=`settings_status`,
    `menus_status`=`settings_status`,
    `file_manager_status`=`settings_status`,
    `modules_status`=`webmaster_status`;

ALTER TABLE `smartend_users`
    ADD `table_columns` LONGTEXT NULL AFTER `profile_photo_path`;

ALTER TABLE `smartend_settings`
    ADD `style_change` TINYINT NOT NULL DEFAULT '0' AFTER `style_type`;

ALTER TABLE `smartend_topics`
    ADD `popup_id` INT NULL AFTER `form_id`;

ALTER TABLE `smartend_sections`
    ADD `popup_id` INT NULL AFTER `row_no`;

ALTER TABLE `smartend_webmaster_sections`
    ADD `popup_id` INT NULL AFTER `photo`;


CREATE TABLE `smartend_tags`
(
    `id`         bigint UNSIGNED NOT NULL,
    `title`      varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `seo_url`    varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `details`    longtext COLLATE utf8mb4_unicode_ci,
    `status`     tinyint         NOT NULL                DEFAULT '0',
    `visits`     int             NOT NULL                DEFAULT '0',
    `created_by` int                                     DEFAULT NULL,
    `updated_by` int                                     DEFAULT NULL,
    `created_at` timestamp       NULL                    DEFAULT NULL,
    `updated_at` timestamp       NULL                    DEFAULT NULL
) ENGINE = MyISAM
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_unicode_ci;

ALTER TABLE `smartend_tags`
    ADD PRIMARY KEY (`id`);

ALTER TABLE `smartend_tags`
    MODIFY `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT;


CREATE TABLE `smartend_popups`
(
    `id`         bigint UNSIGNED NOT NULL,
    `row_no`     int             NOT NULL                DEFAULT '0',
    `form_id`    int                                     DEFAULT NULL,
    `show_in`    int                                     DEFAULT NULL,
    `photo`      varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `settings`   text COLLATE utf8mb4_unicode_ci,
    `code`       longtext COLLATE utf8mb4_unicode_ci,
    `status`     tinyint         NOT NULL                DEFAULT '0',
    `created_by` int                                     DEFAULT NULL,
    `updated_by` int                                     DEFAULT NULL,
    `created_at` timestamp       NULL                    DEFAULT NULL,
    `updated_at` timestamp       NULL                    DEFAULT NULL
) ENGINE = MyISAM
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_unicode_ci;

ALTER TABLE `smartend_popups`
    ADD PRIMARY KEY (`id`);

ALTER TABLE `smartend_popups`
    MODIFY `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT,
    AUTO_INCREMENT = 2;



CREATE TABLE `smartend_topic_tags`
(
    `id`         bigint UNSIGNED NOT NULL,
    `topic_id`   bigint UNSIGNED NOT NULL,
    `tag_id`     bigint UNSIGNED NOT NULL,
    `created_at` timestamp       NULL DEFAULT NULL,
    `updated_at` timestamp       NULL DEFAULT NULL
) ENGINE = MyISAM
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_unicode_ci;


ALTER TABLE `smartend_topic_tags`
    ADD PRIMARY KEY (`id`),
    ADD KEY `topic_tags_topic_id` (`topic_id`),
    ADD KEY `topic_tags_tag_id` (`tag_id`);


ALTER TABLE `smartend_topic_tags`
    MODIFY `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT;


UPDATE `smartend_webmaster_settings`
SET `version`='10.0.4';
